## org.apache.sling.testing.samples.sampletests
Class JUnit3Test

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.sling.testing.samples.sampletests.JUnit3Test

All Implemented Interfaces:
  junit.framework.Test

    public class JUnit3Test

extends junit.framework.TestCase

Example test using the JUnit3 APIs

Constructor Summary
`JUnit3Test()`

Method Summary
`void` `testPasses()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JUnit3Test

    public JUnit3Test()

Method Detail

### testPasses

    public void testPasses()

Copyright © 2007-2011 The Apache Software Foundation. All Rights Reserved.